local key = KEYS[1]
local field = ARGV[1]

local afterNum = -1;

local iExists = redis.call("HEXISTS", key, field);
if (iExists == 0) then
else
    afterNum = tonumber(redis.call("HINCRBY", key, field, 1))
end
return  tostring(afterNum);
